| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TrackingPointSelector Class Reference

`#include <TrackingPointSelector.h>`

## Public Member Functions
OCV_EXTERN | TrackingPointSelector ()
OCV_EXTERN | TrackingPointSelector (std::vector< cv::Point2f > pts, int width, int height, int markerTemplateWidth)
void | DistributeBins (int width, int height, int markerTemplateWidth)
void | SetHomography (cv::Mat newHomography)
cv::Mat | GetHomography ()
void | UpdatePointStatus (std::vector< uchar > status)
void | SelectPoints ()
| Reset selected points and then randomly select one point from each bin.
std::vector< cv::Point2f > | GetSelectedFeatures ()
std::vector< cv::Point2f > | GetTrackedFeatures ()
std::vector< cv::Point3f > | GetSelectedFeatures3d ()
std::vector< cv::Point2f > | GetSelectedFeaturesWarped ()
OCV_EXTERN std::vector< cv::Point2f > | GetAllFeatures ()
| Get all points from all bins that are candidates for selection.
OCV_EXTERN void | CleanUp ()

## Constructor & Destructor Documentation

## ◆ TrackingPointSelector() [1/2]

TrackingPointSelector::TrackingPointSelector | ( |  | ) |

## ◆ TrackingPointSelector() [2/2]

TrackingPointSelector::TrackingPointSelector | ( | std::vector< cv::Point2f > | pts,
|  | int | width,
|  | int | height,
|  | int | markerTemplateWidth
| ) |  |

Here is the call graph for this function:

## Member Function Documentation

## ◆ CleanUp()

void TrackingPointSelector::CleanUp | ( |  | ) |

## ◆ DistributeBins()

void TrackingPointSelector::DistributeBins | ( | int | width,
|  | int | height,
|  | int | markerTemplateWidth
| ) |  |

## ◆ GetAllFeatures()

std::vector< cv::Point2f > TrackingPointSelector::GetAllFeatures | ( |  | ) |

Get all points from all bins that are candidates for selection.

## ◆ GetHomography()

cv::Mat TrackingPointSelector::GetHomography | ( |  | ) |

## ◆ GetSelectedFeatures()

std::vector< cv::Point2f > TrackingPointSelector::GetSelectedFeatures | ( |  | ) |

## ◆ GetSelectedFeatures3d()

std::vector< cv::Point3f > TrackingPointSelector::GetSelectedFeatures3d | ( |  | ) |

## ◆ GetSelectedFeaturesWarped()

std::vector< cv::Point2f > TrackingPointSelector::GetSelectedFeaturesWarped | ( |  | ) |

## ◆ GetTrackedFeatures()

std::vector< cv::Point2f > TrackingPointSelector::GetTrackedFeatures | ( |  | ) |

## ◆ SelectPoints()

void TrackingPointSelector::SelectPoints | ( |  | ) |

Reset selected points and then randomly select one point from each bin.

## ◆ SetHomography()

void TrackingPointSelector::SetHomography | ( | cv::Mat | newHomography | ) |

## ◆ UpdatePointStatus()

void TrackingPointSelector::UpdatePointStatus | ( | std::vector< uchar > | status | ) |

The documentation for this class was generated from the following files:

- Source/ARX/OCVT/TrackingPointSelector.h
- Source/ARX/OCVT/TrackingPointSelector.cpp